Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions
Lucene::LuceneObject Class Reference

Base class for all Lucene classes. More...

`#include <LuceneObject.h>`

Inheritance diagram for Lucene::LuceneObject:

## Public Member Functions

virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Protected Member Functions

| LuceneObject ()

## Additional Inherited Members

Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Base class for all Lucene classes.

## Constructor & Destructor Documentation

## ◆ ~LuceneObject()

virtual Lucene::LuceneObject::~LuceneObject | ( |  | ) |

virtual

## ◆ LuceneObject()

Lucene::LuceneObject::LuceneObject | ( |  | ) |

protected

## Member Function Documentation

## ◆ clone()

virtual LuceneObjectPtr Lucene::LuceneObject::clone | ( | const LuceneObjectPtr & | other = `LuceneObjectPtr()` | ) |

virtual

Return clone of this object.

Parameters

  other | clone reference - null when called initially, then set in top virtual override.

Reimplemented in Lucene::AttributeSourceState, Lucene::BitSet, Lucene::BitVector, Lucene::BooleanQuery, Lucene::BufferedIndexInput, Lucene::ChecksumIndexInput, Lucene::CSIndexInput, Lucene::ConstantScoreQuery, Lucene::CustomScoreQuery, Lucene::DirectoryReader, Lucene::DisjunctionMaxQuery, Lucene::DocIdBitSet, Lucene::FieldInfo, Lucene::FieldInfos, Lucene::FieldMaskingSpanQuery, Lucene::FieldsReader, Lucene::FilteredQuery, Lucene::FlagsAttribute, Lucene::FuzzyQuery, Lucene::IndexInput, Lucene::IndexReader, Lucene::MatchAllDocsQuery, Lucene::MultiPhraseQuery, Lucene::MultiReader, Lucene::MultiTermQuery, Lucene::NumericRangeQuery, Lucene::OffsetAttribute, Lucene::OpenBitSet, Lucene::ParallelReader, Lucene::Payload, Lucene::PayloadAttribute, Lucene::PayloadNearQuery, Lucene::PayloadTermQuery, Lucene::PhraseQuery, Lucene::PositionIncrementAttribute, Lucene::PrefixQuery, Lucene::Query, Lucene::RAMInputStream, Lucene::SegmentInfo, Lucene::SegmentInfoCollection, Lucene::SegmentInfos, Lucene::SegmentReader, Lucene::SegmentTermEnum, Lucene::SpanFirstQuery, Lucene::SpanNearQuery, Lucene::SpanNotQuery, Lucene::SpanOrQuery, Lucene::SpanTermQuery, Lucene::TermAttribute, Lucene::TermBuffer, Lucene::TermQuery, Lucene::TermRangeQuery, Lucene::TermVectorsReader, Lucene::Token, Lucene::TypeAttribute, Lucene::ValueSourceQuery, Lucene::WildcardQuery, and Lucene::Attribute.

## ◆ compareTo()

virtual int32_t Lucene::LuceneObject::compareTo | ( | const LuceneObjectPtr & | other | ) |

virtual

Compare two objects.

Reimplemented in Lucene::FreqProxTermsWriterPerField, Lucene::CommitPoint, Lucene::NormsWriterPerField, Lucene::Term, and Lucene::TermBuffer.

## ◆ equals()

virtual bool Lucene::LuceneObject::equals | ( | const LuceneObjectPtr & | other | ) |

virtual

Return whether two objects are equal.

Reimplemented in Lucene::AttributeSource, Lucene::AveragePayloadFunction, Lucene::BitSet, Lucene::BooleanClause, Lucene::BooleanQuery, Lucene::CachingSpanFilter, Lucene::CachingWrapperFilter, Lucene::ConstantScoreQuery, Lucene::CustomScoreQuery, Lucene::DisjunctionMaxQuery, Lucene::DocIdBitSet, Lucene::Entry, Lucene::FieldCacheSource, Lucene::FieldMaskingSpanQuery, Lucene::FilteredQuery, Lucene::FlagsAttribute, Lucene::FuzzyQuery, Lucene::IndexCommit, Lucene::MatchAllDocsQuery, Lucene::MaxPayloadFunction, Lucene::MinPayloadFunction, Lucene::MultiPhraseQuery, Lucene::MultiTermQuery, Lucene::ConstantScoreAutoRewrite, Lucene::MultiTermQueryWrapperFilter, Lucene::NumericRangeQuery, Lucene::OffsetAttribute, Lucene::OpenBitSet, Lucene::OrdFieldSource, Lucene::Payload, Lucene::PayloadAttribute, Lucene::PayloadNearQuery, Lucene::PayloadTermQuery, Lucene::PhraseQuery, Lucene::PositionIncrementAttribute, Lucene::PrefixQuery, Lucene::Query, Lucene::QueryWrapperFilter, Lucene::ReverseOrdFieldSource, Lucene::SegmentInfo, Lucene::SegmentInfoCollection, Lucene::Sort, Lucene::SortField, Lucene::SpanFirstQuery, Lucene::SpanNearQuery, Lucene::SpanNotQuery, Lucene::SpanOrQuery, Lucene::SpanQueryFilter, Lucene::SpanTermQuery, Lucene::Term, Lucene::TermAttribute, Lucene::TermQuery, Lucene::TermRangeQuery, Lucene::TermVectorEntry, Lucene::TermVectorOffsetInfo, Lucene::Token, Lucene::TokenAttributeFactory, Lucene::TypeAttribute, Lucene::ValueSourceQuery, Lucene::WildcardQuery, Lucene::Attribute, Lucene::FieldCacheRangeFilter, Lucene::PayloadFunction, and Lucene::ValueSource.

## ◆ hashCode()

virtual int32_t Lucene::LuceneObject::hashCode | ( |  | ) |

virtual

Return hash code for this object.

Reimplemented in Lucene::AttributeSource, Lucene::AveragePayloadFunction, Lucene::BitSet, Lucene::BooleanClause, Lucene::BooleanQuery, Lucene::CachingSpanFilter, Lucene::CachingWrapperFilter, Lucene::ConstantScoreQuery, Lucene::CustomScoreQuery, Lucene::DisjunctionMaxQuery, Lucene::DocIdBitSet, Lucene::Entry, Lucene::FieldCacheSource, Lucene::FieldMaskingSpanQuery, Lucene::FilteredQuery, Lucene::FlagsAttribute, Lucene::FuzzyQuery, Lucene::IndexCommit, Lucene::MatchAllDocsQuery, Lucene::MaxPayloadFunction, Lucene::MinPayloadFunction, Lucene::MultiPhraseQuery, Lucene::MultiTermQuery, Lucene::ConstantScoreAutoRewrite, Lucene::MultiTermQueryWrapperFilter, Lucene::NumericRangeQuery, Lucene::OffsetAttribute, Lucene::OpenBitSet, Lucene::OrdFieldSource, Lucene::Payload, Lucene::PayloadAttribute, Lucene::PayloadNearQuery, Lucene::PayloadTermQuery, Lucene::PhraseQuery, Lucene::PositionIncrementAttribute, Lucene::PrefixQuery, Lucene::Query, Lucene::QueryWrapperFilter, Lucene::ReverseOrdFieldSource, Lucene::SegmentInfo, Lucene::Sort, Lucene::SortField, Lucene::SpanFirstQuery, Lucene::SpanNearQuery, Lucene::SpanNotQuery, Lucene::SpanOrQuery, Lucene::SpanQueryFilter, Lucene::SpanTermQuery, Lucene::Term, Lucene::TermAttribute, Lucene::TermQuery, Lucene::TermRangeQuery, Lucene::TermVectorEntry, Lucene::TermVectorOffsetInfo, Lucene::Token, Lucene::TokenAttributeFactory, Lucene::TypeAttribute, Lucene::ValueSourceQuery, Lucene::WildcardQuery, Lucene::Attribute, Lucene::FieldCacheRangeFilter, Lucene::PayloadFunction, and Lucene::ValueSource.

## ◆ initialize()

virtual void Lucene::LuceneObject::initialize | ( |  | ) |

virtual

Called directly after instantiation to create objects that depend on this object being fully constructed.

Reimplemented in Lucene::BooleanScorer2, Lucene::ConcurrentMergeScheduler, Lucene::DisjunctionSumScorer, Lucene::DocFieldProcessorPerThread, Lucene::DocInverterPerField, Lucene::DocInverterPerThread, Lucene::DocumentsWriter, Lucene::DocumentsWriterThreadState, Lucene::FieldCacheImpl, Lucene::FilterManager, Lucene::FormatPostingsDocsWriter, Lucene::FormatPostingsFieldsWriter, Lucene::FormatPostingsTermsWriter, Lucene::HitQueueBase, Lucene::IndexWriter, Lucene::NearSpansUnordered, Lucene::PriorityQueue< TYPE >, Lucene::PriorityQueue< FieldDocPtr >, Lucene::PriorityQueue< PhrasePositionsStar >, Lucene::PriorityQueue< ScoreDocPtr >, Lucene::PriorityQueue< SegmentMergeInfoPtr >, Lucene::RAMDirectory, Lucene::SegmentReader, Lucene::TermInfosWriter, Lucene::TermsHashPerField, and Lucene::TermsHashPerThread.

## ◆ toString()

virtual String Lucene::LuceneObject::toString | ( |  | ) |

virtual

Returns a string representation of the object.

Reimplemented in Lucene::AbstractField, Lucene::AttributeSource, Lucene::BooleanClause, Lucene::BooleanQuery, Lucene::BooleanScorer, Lucene::CachingSpanFilter, Lucene::CachingWrapperFilter, Lucene::ConstantScoreQuery, Lucene::CustomScoreQuery, Lucene::Directory, Lucene::ReaderCommit, Lucene::DisjunctionMaxQuery, Lucene::Document, Lucene::DocValues, Lucene::Explanation, Lucene::FieldCacheEntry, Lucene::Insanity, Lucene::FieldDoc, Lucene::FieldValueHitQueueEntry, Lucene::FilteredQuery, Lucene::FlagsAttribute, Lucene::FSDirectory, Lucene::CommitPoint, Lucene::MatchAllDocsQuery, Lucene::MultiPhraseQuery, Lucene::MultiTermQueryWrapperFilter, Lucene::NearSpansOrdered, Lucene::NearSpansUnordered, Lucene::NumericTokenStream, Lucene::OffsetAttribute, Lucene::PayloadAttribute, Lucene::PerFieldAnalyzerWrapper, Lucene::PhraseQuery, Lucene::PhraseScorer, Lucene::PositionIncrementAttribute, Lucene::PrefixFilter, Lucene::Query, Lucene::QueryParserToken, Lucene::QueryTermVector, Lucene::QueryWrapperFilter, Lucene::ScoreDoc, Lucene::SegmentTermVector, Lucene::Sort, Lucene::SortField, Lucene::SpanQueryFilter, Lucene::Term, Lucene::TermAttribute, Lucene::TermQuery, Lucene::TermScorer, Lucene::TermSpans, Lucene::TermVectorEntry, Lucene::Token, Lucene::TypeAttribute, Lucene::ValueSource, Lucene::ValueSourceQuery, and Lucene::FieldCacheRangeFilter.

The documentation for this class was generated from the following file:

- LuceneObject.h

clucene.sourceforge.net